using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace VSM102004
{
	/// <summary>
	/// Summary description for SimplePrinting.
	/// </summary>
	public class SimplePrinting : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DropDownList lstOrderID;
		protected System.Data.SqlClient.SqlDataAdapter sqlOrdersDataAdapter;
		protected System.Data.SqlClient.SqlCommand sqlSelectCommand1;
		protected System.Data.SqlClient.SqlConnection sqlConnection1;
		protected VSM102004.dsOrders dsOrders;
    protected System.Web.UI.WebControls.DataGrid DataGrid1;
    protected System.Web.UI.WebControls.TextBox txtCustomerAddress;
    protected System.Web.UI.WebControls.TextBox txtCustomerName;
    protected System.Data.SqlClient.SqlDataAdapter sqlOrderDetailsDataAdapter;
    protected System.Data.SqlClient.SqlCommand sqlSelectCommand2;
    protected VSM102004.dsOrderDetails dsOrderDetails;
    protected System.Web.UI.WebControls.LinkButton LinkButton1;
    protected System.Web.UI.WebControls.LinkButton LinkButton2;
    protected System.Web.UI.WebControls.LinkButton LinkButton3;
    protected System.Web.UI.WebControls.LinkButton LinkButton4;
    protected System.Web.UI.WebControls.LinkButton LinkButton5;
    protected System.Web.UI.WebControls.LinkButton LinkButton6;
    protected System.Web.UI.WebControls.LinkButton LinkButton7;
    protected System.Web.UI.WebControls.LinkButton btnPrintableVersion;
    protected System.Web.UI.WebControls.TextBox txtShipDate;
		protected System.Web.UI.WebControls.LinkButton btnPrintGeneric;
		protected System.Web.UI.WebControls.LinkButton btnPrintCrystal;
		protected System.Web.UI.WebControls.LinkButton btnCrystalPDF;
		protected System.Web.UI.HtmlControls.HtmlGenericControl HiddenPrintFrame;
		protected System.Web.UI.HtmlControls.HtmlGenericControl PrintContent;

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.sqlOrdersDataAdapter = new System.Data.SqlClient.SqlDataAdapter();
			this.sqlSelectCommand1 = new System.Data.SqlClient.SqlCommand();
			this.sqlConnection1 = new System.Data.SqlClient.SqlConnection();
			this.dsOrders = new VSM102004.dsOrders();
			this.sqlOrderDetailsDataAdapter = new System.Data.SqlClient.SqlDataAdapter();
			this.sqlSelectCommand2 = new System.Data.SqlClient.SqlCommand();
			this.dsOrderDetails = new VSM102004.dsOrderDetails();
			((System.ComponentModel.ISupportInitialize)(this.dsOrders)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.dsOrderDetails)).BeginInit();
			// 
			// sqlOrdersDataAdapter
			// 
			this.sqlOrdersDataAdapter.SelectCommand = this.sqlSelectCommand1;
			this.sqlOrdersDataAdapter.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																																																	 new System.Data.Common.DataTableMapping("Table", "Orders", new System.Data.Common.DataColumnMapping[] {
																																																																																																					 new System.Data.Common.DataColumnMapping("OrderID", "OrderID"),
																																																																																																					 new System.Data.Common.DataColumnMapping("CustomerID", "CustomerID"),
																																																																																																					 new System.Data.Common.DataColumnMapping("CompanyName", "CompanyName"),
																																																																																																					 new System.Data.Common.DataColumnMapping("EmployeeFirstName", "EmployeeFirstName"),
																																																																																																					 new System.Data.Common.DataColumnMapping("EmployeeLastName", "EmployeeLastName"),
																																																																																																					 new System.Data.Common.DataColumnMapping("EmployeeID", "EmployeeID"),
																																																																																																					 new System.Data.Common.DataColumnMapping("OrderDate", "OrderDate"),
																																																																																																					 new System.Data.Common.DataColumnMapping("RequiredDate", "RequiredDate"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShippedDate", "ShippedDate"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipVia", "ShipVia"),
																																																																																																					 new System.Data.Common.DataColumnMapping("Freight", "Freight"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipName", "ShipName"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipAddress", "ShipAddress"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipCity", "ShipCity"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipRegion", "ShipRegion"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipPostalCode", "ShipPostalCode"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipCountry", "ShipCountry")})});
			// 
			// sqlSelectCommand1
			// 
			this.sqlSelectCommand1.CommandText = @"SELECT Orders.OrderID, Orders.CustomerID, Customers.CompanyName, Employees.FirstName AS EmployeeFirstName, Employees.LastName AS EmployeeLastName, Orders.EmployeeID AS EmployeeID, Orders.OrderDate, Orders.RequiredDate, Orders.ShippedDate, Orders.ShipVia, Orders.Freight, Orders.ShipName, Orders.ShipAddress, Orders.ShipCity, Orders.ShipRegion, Orders.ShipPostalCode, Orders.ShipCountry FROM Orders INNER JOIN Customers ON Orders.CustomerID = Customers.CustomerID INNER JOIN Employees ON Orders.EmployeeID = Employees.EmployeeID";
			this.sqlSelectCommand1.Connection = this.sqlConnection1;
			// 
			// sqlConnection1
			// 
			this.sqlConnection1.ConnectionString = "workstation id=DOMINION;packet size=4096;user id=sa;integrated security=SSPI;data" +
				" source=localhost;persist security info=False;initial catalog=Northwind";
			// 
			// dsOrders
			// 
			this.dsOrders.DataSetName = "dsOrders";
			this.dsOrders.Locale = new System.Globalization.CultureInfo("en-US");
			// 
			// sqlOrderDetailsDataAdapter
			// 
			this.sqlOrderDetailsDataAdapter.SelectCommand = this.sqlSelectCommand2;
			this.sqlOrderDetailsDataAdapter.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																																																				 new System.Data.Common.DataTableMapping("Table", "Order Details", new System.Data.Common.DataColumnMapping[] {
																																																																																																												new System.Data.Common.DataColumnMapping("OrderID", "OrderID"),
																																																																																																												new System.Data.Common.DataColumnMapping("ProductID", "ProductID"),
																																																																																																												new System.Data.Common.DataColumnMapping("ProductName", "ProductName"),
																																																																																																												new System.Data.Common.DataColumnMapping("UnitPrice", "UnitPrice"),
																																																																																																												new System.Data.Common.DataColumnMapping("Quantity", "Quantity"),
																																																																																																												new System.Data.Common.DataColumnMapping("Discount", "Discount")})});
			// 
			// sqlSelectCommand2
			// 
			this.sqlSelectCommand2.CommandText = "SELECT [Order Details].OrderID, [Order Details].ProductID, Products.ProductName, " +
				"[Order Details].UnitPrice, [Order Details].Quantity, [Order Details].Discount FR" +
				"OM [Order Details] INNER JOIN Products ON [Order Details].ProductID = Products.P" +
				"roductID";
			this.sqlSelectCommand2.Connection = this.sqlConnection1;
			// 
			// dsOrderDetails
			// 
			this.dsOrderDetails.DataSetName = "dsOrderDetails";
			this.dsOrderDetails.Locale = new System.Globalization.CultureInfo("en-US");
			this.lstOrderID.SelectedIndexChanged += new System.EventHandler(this.lstOrderID_SelectedIndexChanged);
			this.btnPrintableVersion.Click += new System.EventHandler(this.btnPrintableVersion_Click);
			this.btnPrintGeneric.Click += new System.EventHandler(this.btnPrintGeneric_Click);
			this.btnPrintCrystal.Click += new System.EventHandler(this.btnPrintCrystal_Click);
			this.btnCrystalPDF.Click += new System.EventHandler(this.btnCrystalPDF_Click);
			this.Load += new System.EventHandler(this.Page_Load);
			((System.ComponentModel.ISupportInitialize)(this.dsOrders)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.dsOrderDetails)).EndInit();

		}
					
		#endregion

    private void Page_Load(object sender, System.EventArgs e)
    {
			// Reset the IFRAME to clean up any previous information
			HiddenPrintFrame.Attributes["src"] = "";
      if (IsPostBack == false)
      {
        FillOrdersListBox();
        FillOrderData();
        FillOrderDetailData();
      }
    }

    private void lstOrderID_SelectedIndexChanged(object sender, System.EventArgs e)
    {
        
      // Populate the order labels
      FillOrderData();
      
      // Populate the order details data grid
      FillOrderDetailData();     
      
    }
    
    private void FillOrderData()
    {
      DataView dvSelectedOrder = new DataView();
      String strOrderID;
      
      // Get the selected index
      strOrderID = lstOrderID.SelectedItem.ToString();
      
      // Set the order labels to reflect the order information
      sqlOrdersDataAdapter.Fill(dsOrders, "Orders");
      dvSelectedOrder.Table = dsOrders.Tables["Orders"];
      dvSelectedOrder.RowFilter = "OrderID = '" + strOrderID + "'";
      txtCustomerName.Text = dvSelectedOrder[0].Row["CompanyName"].ToString();
      txtCustomerAddress.Text = dvSelectedOrder[0].Row["ShipAddress"].ToString() + "\n" +
                                dvSelectedOrder[0].Row["ShipCity"].ToString() + "  " + 
                                dvSelectedOrder[0].Row["ShipRegion"].ToString() + "  " +
                                dvSelectedOrder[0].Row["ShipPostalCode"].ToString();
      txtShipDate.Text = dvSelectedOrder[0].Row["ShippedDate"].ToString();
    }
    
    private void FillOrderDetailData()
    {
      DataView dvSelectedOrderDetails = new DataView();
      String strOrderID;
      
      // Get the selected index
      strOrderID = lstOrderID.SelectedItem.ToString();
      
      // Filter to find the detail rows for just this order and bind
      // that to the data grid
      sqlOrderDetailsDataAdapter.Fill(dsOrderDetails, "Order Details");
      dvSelectedOrderDetails.Table = dsOrderDetails.Tables["Order Details"];
      dvSelectedOrderDetails.RowFilter = "OrderID = '" + strOrderID + "'";
      DataGrid1.DataSource = dvSelectedOrderDetails;
      DataGrid1.DataBind();
    }
    
    private void FillOrdersListBox()
    {
      // Bind the Data to the list box
      sqlOrdersDataAdapter.Fill(dsOrders, "Orders");
      lstOrderID.DataSource = dsOrders.Tables["Orders"].DefaultView;
      lstOrderID.DataTextField = "OrderID";
      lstOrderID.DataBind();
    }

    private void btnPrintableVersion_Click(object sender, System.EventArgs e)
    {        
      String strRedirectScript;
			// Generate the JavaScript to pop up a print-only window
      strRedirectScript = "<script language =javascript>";
      strRedirectScript += "window.open('OrderPrintableVersion.aspx',null,'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=1,resizable=1,width=600,height=400,left=50,top=50');";
			strRedirectScript += "</script> ";

			// Save off the OrderID for the print page to use
      Session.Add("OrderID", lstOrderID.SelectedItem.ToString());

			// Add our JavaScript to the currently rendered page
      Response.Write(strRedirectScript);
    }

		private void btnPrintGeneric_Click(object sender, System.EventArgs e)
		{
			HiddenPrintFrame.Attributes["src"] = "PrinterPageTemplate.htm";
		}

		private void btnPrintCrystal_Click(object sender, System.EventArgs e)
		{
      String strRedirectScript;

			// Save off the OrderID for the print page to use
			Session.Add("OrderID", lstOrderID.SelectedItem.ToString());

			// Generate the JavaScript to pop up a print-only window
			strRedirectScript = "<script language =javascript>";
			strRedirectScript += "window.open('PrintingWithCrystal.aspx',null,'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=1,resizable=1,width=600,height=400,left=50,top=50');";
			strRedirectScript += "</script> ";

			// Add our JavaScript to the currently rendered page
			Response.Write(strRedirectScript);

		}

		private void btnCrystalPDF_Click(object sender, System.EventArgs e)
		{
			String strRedirectScript;

			// Save off the OrderID for the print page to use
			Session.Add("OrderID", lstOrderID.SelectedItem.ToString());
		
			// Generate the JavaScript to pop up a print-only window
			strRedirectScript = "<script language =javascript>";
			strRedirectScript += "window.open('OrdersPDFExport.aspx',null,'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=1,resizable=1,width=600,height=400,left=50,top=50');";
			strRedirectScript += "</script> ";

			// Add our JavaScript to the currently rendered page
			Response.Write(strRedirectScript);
		}

	}
}
